
/* 
 * LCAUView.h -- Interface file for the LCAUView class 
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or implied, as to 
 * its fitness for any particular use, or even that there is a use for it.
 *
 */

#import <appkit/appkit.h>

@interface LCAUView:View {

	id		sButton, pButton;
	id		aSwitch;
	id		basc;
	id		baux;
	id		gridSize;
	id		haHa;
	id		keepTop;
	id		ascru,ruleSamples;
	id		wrule;
	id		rbutton,sbutton;
	id		ruleNumber;
	id		pslid;
	id		statEnpai;
	id		statEntro;
	id		statLines;
	id		statMode;
	id		statPair;
	id		statProd;
	id		statState;
	id		statSDevi;
	id		statNhood;
	id		statIndx;
	id		statLamb;
	id		tiDat;
	id		valBx;
	
	id		theBlockView;
	id		theEntropyView;
	id		theEvolView;
	id		thePlaidView;
	id		theProbView;
	id		theShEvolView;
	id		theThEvolView;

	id		blockWindow;
	id		entropyWindow;
	id		evolWindow;
	id		keyWindow;
	id		probWindow;
	id		plaidWindow;
	id		shEvolWindow;
	id		thEvolWindow;
	
	id		probEI, probGens, probGrid;
	id		probComp, probLevel, probView;
	
	id		menuCopy;
	id		menuPrint;

	id		delegate;
	id		crossCursor;
	
}

- printArhi:sender;
- copyShEvol:sender;
- copyThEvol:sender;
- drawEvolu:sender;
- drawShEvol:sender;
- drawThEvol:sender;
- nxasfreq;
- nxmoncar: (int) l;
- printEvolu:sender;
- showCursor:sender;
- showWrule:sender;
- setRule:sender;
- prob:sender;
- makeline:sender;

- probHowMany:sender;
- probSetEI:sender;
- probSetGen:sender;
- probSetBlk:sender;
- protectRule:sender;
- drawBlock:sender;
- drawNBlock:sender;
- drawProb:sender;
- drawPlaid:sender;
- drawStat:sender;
- printEntropy:sender;
- printBlock:sender;
- printNBlock:sender;
- drawEntropy:sender;
- printPlain:sender;
- printProb:sender;
- printPlaid:sender;
- printStat:sender;
- printShEvol:sender;
- printThEvol:sender;

- initFrame:(const NXRect *)frameRect;
- setDelegate:anObject;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- sizeTo:(NXCoord)width :(NXCoord)height;
- mouseDown:(NXEvent *)theEvent;
- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;
- awake;
- (const char *)inspectorName;

@end

/* end LCAUVIEW.h */
