/* 
 * TripleView.h -- Interface file for the TripleView class 
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or implied, as to its
 * fitness for any particular use.
 *
 */

#import <appkit/appkit.h>
#import <appkit/NXCType.h>

@interface TripleView:View
{

	id		disTriple;
	id		ordTriple;
	id		treeShow;
	id		evWindow;
	id		evButton;
	id		linkAge;
	id		moveWhich;
	id		nodeNumber;
	id		ruleNumber;

	id		trTriv1;
	id		trTriv2;

	id		tripleWindow;
	id		wholePanel;
	id		timeDate;
	
	id		delegate;
	id		crossCursor;
}

- drawTriple:sender;
- printTriple:sender;
- redrawTriple:sender;
- showTriple:sender;


- initFrame:(const NXRect *)frameRect;
- setDelegate:anObject;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- sizeTo:(NXCoord)width :(NXCoord)height;
- mouseDown:(NXEvent *)theEvent;
- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;
- awake;
- (const char *)inspectorName;
@end
