
#import <appkit/appkit.h>

@interface RulePanel:View {

/* Main Panel  - - - - - - - - - - - - - - - - - - - - - - - - - */

	id		ascru;
	id		sqascru;
	id		changeLine;
	id		pSliders;
	id		pWindows;
	id		ruButtons;
	id		ruleBox;
	id		ruleNumber;
	id		totlRef;
	id		sIncr;
	id		tiDat;
	id		whichState;
	id		wrule;

/* Rule Panel  - - - - - - - - - - - - - - - - - - - - - - - - - */

	id		infoPanel;
	id		mainWindow;
	id		menuCopy;
	id		menuPrint;
	id		nowBox;
	id		nowSpesh;
	id		speshPanel;

/* panel control - - - - - - - - - - - - - - - - - - - - - - - - */

	id		eaterRuleBox;
	id		equivRuleBox;
	id		pmutRuleBox;
	id		specBigBox;
	id		specLilBox;
	id		subsetRuleBox;
	id		arithmRuleBox;

	id		S00,S01,S02,S10,S11,S12,S20,S21,S22;  /* = */

	id		gfWindow;
	id		ruleFormula;

/* permuted Window  - - - - - - - - - - - - - - - - - - - - - - */

	id		pMut0;
	id		pMut1;
	id		pMut2;
	id		pMut3;
	id		pMut4;

/* totalistic rules  - - - - - - - - - - - - - - - - - - - - - */

	id		toascru;
	id		toRuleBox;
	id		toRuleNumber;
	id		toWindow;

/* xenophobic Window  - - - - - - - - - - - - - - - - - - - - - */
	id		obBnry;
	id		obPerm;

/* clannish Window  - - - - - - - - - - - - - - - - - - - - - */

	id		clanMatrix;
	id		clan2h;

/* equivalence Box  - - - - - - - - - - - - - - - - - - - - - - */
	id		eqChoices;
	id		eqFactor;
	id		eqPair;

/* arithmetic Box   - - - - - - - - - - - - - - - - - - - - - - */

	id		twoRules;

/* trivia Panel    - - - - - - - - - - - - - - - - - - - - - - */

	id		statEntro;
        id		statPEntro;
	id		statIndx;
	id		statLamb;
	id		statPairs;
	id		statState;
	id		statXeno;

/* design Window  - - - - - - - - - - - - - - - - - - - - - - - */
	id		ddWindow;      /* - */
	id		designPrm;     /* = */
	id		designRef;     /* = */
	id		zeZeZe;        /* = */


/* ----------    REC line from RulePanel --------*/
	
	id		RECline;
	id		RECPanel;
	id		RECValue;
}

- loadSpecialRule:sender;
- loadLowerPanel:thisRuleBox;

- copyRuleBox:sender;
- freeAllRules:sender;
- insertRule:sender;
- protectGenRule:sender;
- ranRules:sender;
- ranPRules:sender;
- relatedRule:sender;
- readSqRule:sender;
- readWRule:sender;
- resetRuButtons:sender;
- setAllImages:sender;
- setAllRules:sender;
- setDemo:sender;
- setRule:sender;
- showProbability:sender;
- symRule:sender;
- zeroRules:sender;

- randomLine:sender;
- sCellLine:sender;
- uniformLine:sender;

- enterGF5Rule:sender;
- setMCoeff:sender;
- setSCoeff:sender;
- setVCoeff:sender;

/* permutation Window  - - - - - - - - - - - - - - - - - - - - - */
- pmutValue:sender;
- pmutRule:sender;

- enterTotalisticRule:sender;
- ranTRule:sender;
- readTRule:sender;
- setTotRule:sender;
- setTotRules:sender;

- equivalence:sender;          /* - */
- ranqul:sender;               /* - */

/* ----------    arithmRulebox   ------------ */
- arithmCombs:sender;          /* = */
- initTwoRules:sender;         /* = */

- randphobic:sender;
- xenophilic:sender;
- xenophobic:sender;
- enterPair:sender;

- clearDesign:sender;          /* = */
- copyToDesign:sender;         /* = */
- deZign:sender;               /* = */
- enterDesign:sender;          /* = */

- nhul:sender;

- nxasfreq;                    /* = */

@end 

/* end RulePanel.h */ 
